Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface EmailAddressType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EmailAddressTypeImpl

    public interface EmailAddressType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Email Address Type'. Mapping of the same named interface in ebRIM.

The following features are supported:

- `Group`
- `Slot`
- `Address`
- `Type`

See Also:
  `RimPackage.getEmailAddressType()`

Method Summary
`java.lang.String` | `getAddress()` Returns the value of the 'Address' attribute.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`org.eclipse.emf.common.util.EList` | `getSlot()` Returns the value of the 'Slot' containment reference list.
`java.lang.String` | `getType()` Returns the value of the 'Type' attribute.
`void` | `setAddress(java.lang.String value)` Sets the value of the '`Address`' attribute.
`void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `RimPackage.getEmailAddressType_Group()`

### getSlot

    org.eclipse.emf.common.util.EList getSlot()

  Returns the value of the 'Slot' containment reference list. The list contents are of type `SlotType1`.

  If the meaning of the 'Slot' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot' containment reference list.
  See Also:
    `RimPackage.getEmailAddressType_Slot()`

### getAddress

    java.lang.String getAddress()

  Returns the value of the 'Address' attribute.

  If the meaning of the 'Address' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Address' attribute.
  See Also:
    `setAddress(String)`, `RimPackage.getEmailAddressType_Address()`

### setAddress

    void setAddress(java.lang.String value)

  Sets the value of the '`Address`' attribute.

  Parameters:
    `value` - the new value of the 'Address' attribute.
  See Also:
    `getAddress()`

### getType

    java.lang.String getType()

  Returns the value of the 'Type' attribute.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `setType(String)`, `RimPackage.getEmailAddressType_Type()`

### setType

    void setType(java.lang.String value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `getType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD